
#include "LED.hh"

#include "umlrtobjectclass.hh"
#include "umlrtoutsignal.hh"
struct UMLRTCommsPort;

static UMLRTObject_field fields_lEDOFF[] = 
{
};

static UMLRTObject payload_lEDOFF = 
{
    0,
    0,
    fields_lEDOFF
};

static UMLRTObject_field fields_lEDON[] = 
{
};

static UMLRTObject payload_lEDON = 
{
    0,
    0,
    fields_lEDON
};

LED::Base::Base( const UMLRTCommsPort * & srcPort )
: UMLRTProtocol( srcPort )
{
}

UMLRTOutSignal LED::Base::lEDOFF() const
{
    UMLRTOutSignal signal;
    signal.initialize( "lEDOFF", signal_lEDOFF, srcPort, &payload_lEDOFF );
    return signal;
}

UMLRTOutSignal LED::Base::lEDON() const
{
    UMLRTOutSignal signal;
    signal.initialize( "lEDON", signal_lEDON, srcPort, &payload_lEDON );
    return signal;
}

LED::Conj::Conj( const UMLRTCommsPort * & srcPort )
: UMLRTProtocol( srcPort )
{
}


