
#ifndef LED_HH
#define LED_HH

#include "umlrtoutsignal.hh"
#include "umlrtprotocol.hh"
#include "umlrtsignal.hh"
struct UMLRTCommsPort;

namespace LED
{
    class Base : public UMLRTProtocol
    {
    public:
        Base( const UMLRTCommsPort * & srcPort );
        UMLRTOutSignal lEDOFF() const;
        UMLRTOutSignal lEDON() const;
    };
    class Conj : public UMLRTProtocol
    {
    public:
        Conj( const UMLRTCommsPort * & srcPort );
    };
    enum SignalId
    {
        signal_lEDOFF = UMLRTSignal::FIRST_PROTOCOL_SIGNAL_ID,
        signal_lEDON
    };
};

#endif

