
#ifndef SWITCH_HH
#define SWITCH_HH

#include "umlrtoutsignal.hh"
#include "umlrtprotocol.hh"
#include "umlrtsignal.hh"
struct UMLRTCommsPort;

namespace Switch
{
    class Base : public UMLRTProtocol
    {
    public:
        Base( const UMLRTCommsPort * & srcPort );
    };
    enum SignalId
    {
        signal_switchOff = UMLRTSignal::FIRST_PROTOCOL_SIGNAL_ID,
        signal_switchOn
    };
    class Conj : public UMLRTProtocol
    {
    public:
        Conj( const UMLRTCommsPort * & srcPort );
        UMLRTOutSignal switchOff() const;
        UMLRTOutSignal switchOn() const;
    };
};

#endif

