
#include "Switch.hh"

#include "umlrtobjectclass.hh"
#include "umlrtoutsignal.hh"
struct UMLRTCommsPort;

static UMLRTObject_field fields_switchOff[] = 
{
};

static UMLRTObject payload_switchOff = 
{
    0,
    0,
    fields_switchOff
};

static UMLRTObject_field fields_switchOn[] = 
{
};

static UMLRTObject payload_switchOn = 
{
    0,
    0,
    fields_switchOn
};

Switch::Base::Base( const UMLRTCommsPort * & srcPort )
: UMLRTProtocol( srcPort )
{
}

Switch::Conj::Conj( const UMLRTCommsPort * & srcPort )
: UMLRTProtocol( srcPort )
{
}

UMLRTOutSignal Switch::Conj::switchOff() const
{
    UMLRTOutSignal signal;
    signal.initialize( "switchOff", signal_switchOff, srcPort, &payload_switchOff );
    return signal;
}

UMLRTOutSignal Switch::Conj::switchOn() const
{
    UMLRTOutSignal signal;
    signal.initialize( "switchOn", signal_switchOn, srcPort, &payload_switchOn );
    return signal;
}


